org.apache.flume.formatter.output

## Class RollTimePathManager

- java.lang.Object
- - org.apache.flume.formatter.output.DefaultPathManager
  - - org.apache.flume.formatter.output.RollTimePathManager

- All Implemented Interfaces:
    PathManager

      public class RollTimePathManager
      extends DefaultPathManager

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RollTimePathManager.Builder`

  - ### Field Summary

    - ### Fields inherited from class org.apache.flume.formatter.output.DefaultPathManager

      `currentFile`

    - ### Fields inherited from interface org.apache.flume.formatter.output.PathManager

      `CTX_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RollTimePathManager(Context context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `nextFile()`

    - ### Methods inherited from class org.apache.flume.formatter.output.DefaultPathManager

      `getBaseDirectory, getCurrentFile, getExtension, getFileIndex, getPrefix, getSeriesTimestamp, rotate, setBaseDirectory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RollTimePathManager

          public RollTimePathManager(Context context)

  - ### Method Detail

    - #### nextFile

          public File nextFile()

      Specified by:
        `nextFile` in interface `PathManager`
      Overrides:
        `nextFile` in class `DefaultPathManager`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.